<?php 

/* Disallow direct access */
if ( ! defined( 'ABSPATH' ) ) exit;

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php wp_head(); ?>
</head>
  
<body <?php body_class(); ?>>
    <header id="header" class="<?php echo esc_attr( v12_option('sticky', 'header') ); ?>">
        <div id="header-container" class="<?php echo esc_attr( v12_option('width', 'header') ) . ' ' . esc_attr( v12_option('menu', 'header') ); ?>">
            <h1 class='site-logo'>
                <?php  
                    if( has_custom_logo() ) {
                        the_custom_logo();
                    } else {
                        ?><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><?php bloginfo( 'name' ); ?></a><?php 
                    }
                ?>
            </h1>
            
            <?php 
                wp_nav_menu( array(
                    'theme_location' => 'primary',
                    'menu_class' => 'nav-menu ',
                    'menu_id' => 'main-nav',
                    'container' => 'nav',
                    'container_id' => 'main-nav-container'
                ) ); 
            ?>
        </div>
    </header><!-- #header -->
    
    <main id="main">
