( function( $ ) {

    // Site Identity / Site Title
    wp.customize( 'blogname', function( value ) {
        value.bind( function( newval ) {
            $( '.site-logo a' ).html( newval );
        } );
    } );
    
    // Header / Width
    wp.customize( 'header_width', function( value ) {
        value.bind( function( newval ) {
            $("#header-container").toggleClass('container container-fluid');
        } );
    } );
    
    // Header / Menu  Position
    wp.customize( 'header_menu', function( value ) {
        value.bind( function( newval ) {
            $("#header-container").toggleClass('main-nav-right main-nav-left');
        } );
    } );
    
    // Header / Sticky header
    wp.customize( 'header_sticky', function( value ) {
        value.bind( function( newval ) {
            $("#header").toggleClass('header-sticky header-sticky-disabled');
        } );
    } );
    
    
    // Header / Bottom Spacing
    wp.customize( 'header_spacing', function( value ) {
        value.bind( function( newval ) {
            $('#main').css('margin-top', newval + 'px');
        } );
    } );
    
    // Front Page / Width
    wp.customize( 'blog_width', function( value ) {
        value.bind( function( newval ) {
            $(".blog #main-container").toggleClass('container container-fluid');
        } );
    } );
    
    // Front Page / Read More Text
    wp.customize( 'blog_readmore_text', function( value ) {
        value.bind( function( newval ) {
            $('.blog .read-more').each(function() {
                $(this).html( newval );
            });
        } );
    } );
    
    // Archives / Width
    wp.customize( 'archives_width', function( value ) {
        value.bind( function( newval ) {
            $(".archive #main-container").toggleClass('container container-fluid');
        } );
    } );
    
    // Archives / Read More Text
    wp.customize( 'archives_readmore_text', function( value ) {
        value.bind( function( newval ) {
            $('.archive .read-more').each(function() {
                $(this).html( newval );
            });
        } );
    } );
    
    // Single Post / Width
    wp.customize( 'single_width', function( value ) {
        value.bind( function( newval ) {
            $(".single #main-container").toggleClass('container container-fluid');
        } );
    } );
    
    // Pages / Width
    wp.customize( 'pages_width', function( value ) {
        value.bind( function( newval ) {
            $(".page #main-container").toggleClass('container container-fluid');
        } );
    } );
    
    // Footer / Width
    wp.customize( 'footer_width', function( value ) {
        value.bind( function( newval ) {
            $("#footer-container").toggleClass('container container-fluid');
        } );
    } );
    
    // Footer Widgets / Width
    wp.customize( 'footer_widgets_width', function( value ) {
        value.bind( function( newval ) {
            $("#footer-widgets-container").toggleClass('container container-fluid');
        } );
    } );
    
    // Colors / Accent Color
    wp.customize( 'colors_accent', function( value ) {
        value.bind( function( newval ) {
            if( ! newval ) { newval = '#ffcc00'; }
            
            var live_style_id = 'v12-live-style';
        
            if ( $("#" + live_style_id).length == 0) {
                var live_style_block = "<style id='" +live_style_id + "'></style>";
                $(live_style_block).appendTo("head");
            }
            
            var live_style_content = ".entry-meta a, .entry-content a, .widget ul a:hover, #footer a { color: " + newval + "; } "; 
            live_style_content += ".post .read-more, .back-to-top:hover { background: " + newval + "; } "; 
            live_style_content += ".widget .widget-title, .post .sticky-post { border-bottom-color: " + newval + "; } "; 
              
            $("#" + live_style_id).html(live_style_content);
            
        } );
    } );
    
    // Colors / Site Title
    wp.customize( 'colors_site_title', function( value ) {
        value.bind( function( newval ) {
            if( ! newval ) { newval = '#333333'}
            $('#header .site-logo a').css('color', newval );
        } );
    } );

    //Update site background color...
    wp.customize( 'background_color', function( value ) {
        value.bind( function( newval ) {
            $('body').css('background-color', newval );
        } );
    } );
    
} )( jQuery );