<?php 

/* Disallow direct access */
if ( ! defined( 'ABSPATH' ) ) exit;

    // Width
    $wp_customize->add_setting( 'archives_width', array(
        'default' => $defaults['archives_width'],
        'transport' => 'postMessage',
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'archives_width', array(
        'type' => 'select',
        'label' => __( 'Width', 'v12' ),
        'section' => 'archives',
        'choices' => array(
            'container-fluid' => __( 'Full', 'v12' ),
            'container' => __( 'Boxed', 'v12' )
        ),
        'priority' => 10
    ) );
        
    // Layout
    $wp_customize->add_setting( 'archives_layout', array(
        'default' => $defaults['archives_layout'],
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'archives_layout', array(
        'type' => 'select',
        'label' => __( 'Layout', 'v12' ),
        'section' => 'archives',
        'choices' => array(
            'right-sidebar' => __( 'Right Sidebar', 'v12' ),
            'left-sidebar' => __( 'Left Sidebar', 'v12' ),
            'no-sidebars' => __( 'No Sidebars', 'v12' )
        ),
        'priority' => 20
    ) );
    
    // Post Content Length
    $wp_customize->add_setting( 'archives_post', array(
        'default' => $defaults['archives_post'],
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'archives_post', array(
        'type' => 'select',
        'label' => __( 'Post Content Length', 'v12' ),
        'section' => 'archives',
        'choices' => array(
            'full' => __( 'Full Post Content', 'v12' ),
            'excerpt' => __( 'Excerpt', 'v12' )
        ),
        'priority' => 30
    ) );
        
    // "Read More" Button
    $wp_customize->add_setting( 'archives_readmore', array(
        'default' => $defaults['archives_readmore'],
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'archives_readmore', array(
        'type' => 'select',
        'label' => __( '"Read More" Button', 'v12' ),
        'section' => 'archives',
        'choices' => array(
            'show' => __( 'Show', 'v12' ),
            'hide' => __( 'Hide', 'v12' )
        ),
        'priority' => 40
    ) );
    
    // "Read More" Button Text
    $wp_customize->add_setting( 'archives_readmore_text', array(
        'default' => $defaults['archives_readmore_text'],
        'transport' => 'postMessage',
        'sanitize_callback' => 'v12_sanitize_html'
    ) );
    
    $wp_customize->add_control( 'archives_readmore_text', array(
        'type' => 'text',
        'label' => __( '"Read More" Button Text', 'v12' ),
        'section' => 'archives',
        'priority' => 50
    ) );
    
    // Featured Image
    $wp_customize->add_setting( 'archives_image', array(
        'default' => $defaults['archives_image'],
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'archives_image', array(
        'type' => 'select',
        'label' => __( 'Featured Image', 'v12' ),
        'section' => 'archives',
        'choices' => array(
            'show' => __( 'Show', 'v12' ),
            'hide' => __( 'Hide', 'v12' )
        ),
        'priority' => 60
    ) );
    
    // Featured Image Position
    $wp_customize->add_setting( 'archives_image_position', array(
        'default' => $defaults['archives_image_position'],
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'archives_image_position', array(
        'type' => 'select',
        'label' => __( 'Featured Image Position', 'v12' ),
        'section' => 'archives',
        'choices' => array(
            'top' => __( 'Top', 'v12' ),
            'under_title' => __( 'Under Post Title', 'v12' )
        ),
        'priority' => 70
    ) );