<?php 

/* Disallow direct access */
if ( ! defined( 'ABSPATH' ) ) exit;

    // Accent Colors
    $wp_customize->add_setting( 'colors_accent', array( 
        'sanitize_callback' => 'v12_sanitize_hex_color',
        'transport' => 'postMessage',
        'priority' => '10'
    ) );
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colors_accent', 
        array(
            'label' => __( 'Accent Color', 'v12' ),
            'description' => __( 'The main color scheme', 'v12' ),
            'section' => 'colors',
        )
    ) );
    
    // Site Title (Logo)
    $wp_customize->add_setting( 'colors_site_title', array( 
        'sanitize_callback' => 'v12_sanitize_hex_color',
        'transport' => 'postMessage', 
        'priority' => '20'
    ) );
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colors_site_title', 
        array(
            'label' => __( 'Site Title (Logo)', 'v12' ),
            'section' => 'colors',
        )
    ) );
    
    
    // Reorganize the default sections and controls
    $wp_customize->remove_section( 'background_image' );
    
    $wp_customize->get_control( 'background_color' )->section = 'colors';
    $wp_customize->get_control( 'background_color' )->label = __( 'Body Background Color', 'v12' );
    $wp_customize->get_control( 'background_color' )->priority = 40;
    
    $wp_customize->get_control( 'background_image' )->section = 'colors';
    $wp_customize->get_control( 'background_image' )->label = __( 'Body Background Image', 'v12' );
    $wp_customize->get_control( 'background_image' )->priority = 50;
    
    $wp_customize->get_control( 'background_preset' )->section = 'colors';
    $wp_customize->get_control( 'background_preset' )->priority = 51;
    
    