<?php 

/* Disallow direct access */
if ( ! defined( 'ABSPATH' ) ) exit;

    // Width
    $wp_customize->add_setting( 'footer_width', array(
        'default' => $defaults['footer_width'],
        'transport' => 'postMessage',
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'footer_width', array(
        'type' => 'select',
        'label' => __( 'Width', 'v12' ),
        'section' => 'footer',
        'choices' => array(
            'container-fluid' => __( 'Full', 'v12' ),
            'container' => __( 'Boxed', 'v12' )
        ),
        'priority' => 10
    ) );
        
    // Back to top button
    $wp_customize->add_setting( 'footer_top_button', array(
        'default' => $defaults['footer_top_button'],
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'footer_top_button', array(
        'type' => 'select',
        'label' => __( 'Back to top button', 'v12' ),
        'section' => 'footer',
        'choices' => array(
            'show' => __( 'Show', 'v12' ),
            'hide' => __( 'Hide', 'v12' )
        ),
        'priority' => 20
    ) );
    
    // Custom Copyright Text
    $wp_customize->add_setting( 'footer_copyright', array(
        'sanitize_callback' => 'v12_sanitize_html'
    ) );
    
    $wp_customize->add_control( 'footer_copyright', array(
        'type' => 'textarea',
        'label' => __( 'Custom Copyright Text', 'v12' ),
        'description' => __( 'Add your own custom footer copyright text. HTML is allowed.', 'v12' ),
        'section' => 'footer',
        'priority' => 30
    ) );
    
    // Footer Widgets
    $wp_customize->add_setting( 'footer_widgets', array(
        'default' => $defaults['footer_widgets'],
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'footer_widgets', array(
        'type' => 'select',
        'label' => __( 'Footer Widgets', 'v12' ),
        'section' => 'footer',
        'choices' => array(
            '0' => __( 'Disable', 'v12' ),
            '1' => __( '1 Column', 'v12' ),
            '2' => __( '2 Columns', 'v12' ),
            '3' => __( '3 Columns', 'v12' ),
            '4' => __( '4 Columns', 'v12' )
        ),
        'priority' => 40
    ) );
    
    // Footer Widgets Area Width
    $wp_customize->add_setting( 'footer_widgets_width', array(
        'default' => $defaults['footer_widgets_width'],
        'transport' => 'postMessage',
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'footer_widgets_width', array(
        'type' => 'select',
        'label' => __( 'Footer Widgets Area Width', 'v12' ),
        'section' => 'footer',
        'choices' => array(
            'container-fluid' => __( 'Full', 'v12' ),
            'container' => __( 'Boxed', 'v12' )
        ),
        'priority' => 50
    ) );