<?php 

/* Disallow direct access */
if ( ! defined( 'ABSPATH' ) ) exit;

    // Width
    $wp_customize->add_setting( 'header_width', array(
        'default' => $defaults['header_width'],
        'transport' => 'postMessage',
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'header_width', array(
        'type' => 'select',
        'label' => __( 'Width', 'v12' ),
        'section' => 'header',
        'choices' => array(
            'container-fluid' => __( 'Full', 'v12' ),
            'container' => __( 'Boxed', 'v12' )
        ),
        'priority' => 10
    ) );
        
    // Menu Position
    $wp_customize->add_setting( 'header_menu', array(
        'default' => $defaults['header_menu'],
        'transport' => 'postMessage',
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'header_menu', array(
        'type' => 'select',
        'label' => __( 'Menu Position', 'v12' ),
        'section' => 'header',
        'choices' => array(
            'main-nav-right' => __( 'Right', 'v12' ),
            'main-nav-left' => __( 'Under Logo', 'v12' )
        ),
        'priority' => 20
    ) );
        
    // Sticky Header
    $wp_customize->add_setting( 'header_sticky', array(
        'default' => $defaults['header_sticky'],
        'transport' => 'postMessage',
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'header_sticky', array(
        'type' => 'select',
        'label' => __( 'Sticky Header', 'v12' ),
        'description' => __( 'Stick the header at top on page scroll. You may need to increase the header bottom spacing if you set it to Yes', 'v12' ),
        'section' => 'header',
        'choices' => array(
            'header-sticky' => __( 'Yes', 'v12' ),
            'header-sticky-disabled' => __( 'No', 'v12' )
        ),
        'priority' => 30
    ) );
        
    // Header bottom spacing
    $wp_customize->add_setting( 'header_spacing', array(
        'default' => $defaults['header_spacing'],
        'transport' => 'postMessage',
        'sanitize_callback' => 'v12_sanitize_int'
    ) );
    
    $wp_customize->add_control( 'header_spacing', array(
        'type' => 'number',
        'label' => __( 'Header Bottom Spacing', 'v12' ),
        'description' => __( 'The spacing value (in pixels) between the header and main conent area ', 'v12' ),
        'section' => 'header',
        'priority' => 40
    ) );
    
    // Header bottom spacing mobile
    $wp_customize->add_setting( 'header_spacing_mobile', array(
        'default' => $defaults['header_spacing_mobile'],
        'sanitize_callback' => 'v12_sanitize_int'
    ) );
    
    $wp_customize->add_control( 'header_spacing_mobile', array(
        'type' => 'number',
        'label' => __( 'Header Bottom Spacing Mobile', 'v12' ),
        'description' => __( 'The spacing value (in pixels) between the header and main conent area for the mobile devices', 'v12' ),
        'section' => 'header',
        'priority' => 50
    ) );