<?php 

/* Disallow direct access */
if ( ! defined( 'ABSPATH' ) ) exit;

?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post clearfix'); ?>>
    
    <?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
      <span class="sticky-post"><?php esc_html_e( 'Featured', 'v12' ); ?></span>
    <?php endif; ?>
    
    <?php v12_featured_image('top'); ?>
    
    <header class="entry-header">
        <div class="entry-meta">
            <span><?php the_time( get_option( 'date_format' ) ); ?></span> /
            <span><?php esc_html_e( 'by', 'v12' ); ?> <a href="<?php the_author_link(); ?>"><?php the_author(); ?></a></span> /
            <span><?php the_category(', '); ?></span> /
            <span><?php comments_number( esc_html__('No Comments', 'v12'), esc_html__('1 Comment', 'v12'), esc_html__('% Comments', 'v12') ); ?></span>
        </div>
        
        <?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>
        <?php v12_featured_image('under_title'); ?>
    </header>
    
    <div class="entry-content">
        <?php 
            if( v12_option( 'post' ) == 'full' ) {
                the_content('');
            } else {
                the_excerpt();
            }
        ?>
    </div>
    
    <?php if( v12_option( 'readmore' ) == 'show' ) {  ?>
        <a href="<?php echo esc_url( get_permalink() ) ; ?>" class="readmore"><?php echo esc_html( v12_option( 'readmore_text' ) ); ?></a>
    <?php } ?>
    
</article><!-- #post-## -->